summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1350
-rw-r--r--jenkins/notify-init.log316
-rw-r--r--jenkins/run-build.env6
4 files changed, 1444 insertions, 230 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index d087f68..dd4fb50 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#570-gdb-R0
+#571-gdb-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 3ba51c3..c47affa 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+# setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -20,23 +20,23 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-# Debug traces :
+ ci_config=master-arm
+# Debug traces :
+ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/569/
+# Baseline : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/'
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/569/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/
+# Artifacts : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -46,8 +46,8 @@
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
-# check_source_changes
+ echo '# check_source_changes'
+# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -77,7 +77,7 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' x0040ddf4e11074c2feffbf46ccac6afc3d66426d '!=' x63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4 ']'
+++ '[' xe20298da05f212c04022c4f1a9991e09e2199c9a '!=' x0040ddf4e11074c2feffbf46ccac6afc3d66426d ']'
++ echo -ne gdb
++ delim=' '
++ echo
@@ -90,17 +90,17 @@
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ first_bad=0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ first_bad=e20298da05f212c04022c4f1a9991e09e2199c9a
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ last_good=63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
++ last_good=0040ddf4e11074c2feffbf46ccac6afc3d66426d
+ local res
+ res=0
-+ wait 909793
++ wait 1796468
+ git -C gdb rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo gdb' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +114,22 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
++ base_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
-++ git -C gdb rev-parse '0040ddf4e11074c2feffbf46ccac6afc3d66426d^@'
++ cur_rev=e20298da05f212c04022c4f1a9991e09e2199c9a
+++ git -C gdb rev-parse 'e20298da05f212c04022c4f1a9991e09e2199c9a^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' fde841947e445a98f22a04465daa75a9fb6af051 = 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4 ']'
-+ return 1
-+ change_kind=single_component
++ '[' 0040ddf4e11074c2feffbf46ccac6afc3d66426d = 0040ddf4e11074c2feffbf46ccac6afc3d66426d ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
+ echo '# Debug traces :'
-# change_kind=single_component : gdb
-+ echo '# change_kind=single_component : gdb'
+# change_kind=single_commit : gdb
++ echo '# change_kind=single_commit : gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -137,17 +137,17 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
++ base_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
-++ git -C gdb rev-list --count 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d
-+ c_commits=3
-+ echo '# rev for gdb : 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d (3 commits)'
-# rev for gdb : 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d (3 commits)
++ cur_rev=e20298da05f212c04022c4f1a9991e09e2199c9a
+++ git -C gdb rev-list --count 0040ddf4e11074c2feffbf46ccac6afc3d66426d..e20298da05f212c04022c4f1a9991e09e2199c9a
++ c_commits=1
+# rev for gdb : 0040ddf4e11074c2feffbf46ccac6afc3d66426d..e20298da05f212c04022c4f1a9991e09e2199c9a (1 commits)
++ echo '# rev for gdb : 0040ddf4e11074c2feffbf46ccac6afc3d66426d..e20298da05f212c04022c4f1a9991e09e2199c9a (1 commits)'
+ echo ''
+ setup_stages_to_run
@@ -173,30 +173,929 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
++ local stage=init
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 1796548
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=397fadfb8
+++ '[' 0 -ne 0 ']'
+++ echo 397fadfb8
++ sha1=397fadfb8
++ git -C interesting-commits checkout --detach 397fadfb8
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ f2e8b80a6 Add entry e20298da05f212c04022c4f1a9991e09e2199c9a from https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> f2e8b80a6
+
+HEAD is now at 397fadfb8 Add entry 08b7462d3ad8e5acd941b7c777c5b26b4064d686 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-arm_v7a_softfp_eabi-build/338/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
+++ local dir=gdb/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
++ update_interesting_commits init ''
+# update_interesting_commits
++ echo '# update_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
+++ local dir=gdb/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ subdir3=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a tcwg_gdb_check
+++ local dir=gdb/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 3 -ge 3 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
+++ '[' 3 -ge 4 ']'
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
++ subdir4=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a tcwg_gdb_check master-arm
+++ local dir=gdb/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 4 -ge 3 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
+++ '[' 4 -ge 4 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
++ subdir5=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
++ local url=
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
++ '[' -d interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a ']'
++ mkdir -p interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/first_url
++ mkdir -p interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
++ echo 0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/build_url gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry e20298da05f212c04022c4f1a9991e09e2199c9a from https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/'
+[detached HEAD 68052cfee] Add entry e20298da05f212c04022c4f1a9991e09e2199c9a from https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/first_url
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/build_url
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/last_good
++ wait 1810486
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 909817
++ wait 1810488
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ true
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
+++ local dir=gdb/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ isubdir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/first_url ']'
++ local first_url
+++ cat interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/first_url
++ first_url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts = https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ wait 1810593
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=397fadfb8
+++ '[' 0 -ne 0 ']'
+++ echo 397fadfb8
++ sha1=397fadfb8
++ git -C interesting-commits checkout --detach 397fadfb8
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 68052cfee Add entry e20298da05f212c04022c4f1a9991e09e2199c9a from https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 68052cfee
+
+HEAD is now at 397fadfb8 Add entry 08b7462d3ad8e5acd941b7c777c5b26b4064d686 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-arm_v7a_softfp_eabi-build/338/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
+++ local dir=gdb/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
+++ local dir=gdb/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ subdir3=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a tcwg_gdb_check
+++ local dir=gdb/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 3 -ge 3 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
+++ '[' 3 -ge 4 ']'
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
++ subdir4=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a tcwg_gdb_check master-arm
+++ local dir=gdb/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 4 -ge 3 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
+++ '[' 4 -ge 4 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
++ subdir5=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
++ local url=
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
++ '[' -d interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a ']'
++ mkdir -p interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/first_url
++ mkdir -p interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
++ echo 0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/build_url gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
++ wait 1824481
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231214 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 1824482
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231214 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
+++ true
++ n_regressions=0
+++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
+++ true
++ n_progressions=0
++ printf PASS
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/regressions.sum
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/progressions.sum
++ printf '\n'
++ '[' --oneline = --oneline ']'
++ return 0
++ merge_status_summary interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
++ set -euf -o pipefail
++ local subdir=interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/status-summary.txt
++ cur=PASS
++ '[' PASS -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1069: [: PASS: integer expression expected
++ best=PASS
++ best_file=interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/status-summary.txt
++ merge_status_summary interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ set -euf -o pipefail
++ local subdir=interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status-summary.txt
++ cur=PASS
++ '[' PASS -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh: line 1069: [: PASS: integer expression expected
++ best=PASS
++ best_file=interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status-summary.txt
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/status-summary.txt gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status-summary.txt gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
++ wait 1824522
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231214 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 1824523
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231214 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
+++ true
++ n_regressions=0
+++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
+++ true
++ n_progressions=0
++ printf PASS
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/regressions.sum
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/progressions.sum
++ printf '\n'
++ '[' --long = --oneline ']'
++ local length=10 outfile n_lines
++ '[' --long = --long ']'
++ length=-0
++ for outfile in regressions.sum progressions.sum
++ '[' -f artifacts/notify/regressions.sum ']'
++ continue
++ for outfile in regressions.sum progressions.sum
++ '[' -f artifacts/notify/progressions.sum ']'
++ continue
++ cat
+++ print_artifacts_url 00-sumfiles/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts/sumfiles/xfails.xfail
++ cat interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/details.txt
++ set -euf -o pipefail
++ local path=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/details.txt
++ cat interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/build_url
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/details.txt gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/status.txt
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/artifact/artifacts
++ cat
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
+++ ls
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/summary.txt ']'
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/status.txt ']'
++ echo '* master-arm'
++ cat interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status.txt/summary.txt ']'
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ ls
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status.txt ']'
++ echo '* tcwg_gdb_check'
++ cat interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=gdb
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 gdb e20298da05f212c04022c4f1a9991e09e2199c9a true
+++ local component=gdb
+++ local sha1=e20298da05f212c04022c4f1a9991e09e2199c9a
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ match=(--match "gdb*")
+++ git -C gdb describe --match 'gdb*' e20298da05f212c04022c4f1a9991e09e2199c9a
++ describe=gdb-14-branchpoint-695-ge20298da05f
+++ echo gdb-14-branchpoint-695-ge20298da05f
+++ sed 's,^basepoints/,,'
++ describe=gdb-14-branchpoint-695-ge20298da05f
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit gdb-14-branchpoint-695-ge20298da05f'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.nic8QjNjPx
++ git -C gdb log -n1 e20298da05f212c04022c4f1a9991e09e2199c9a
++ tail -n +2
++ head -n 10 /tmp/tmp.nic8QjNjPx
+++ cat /tmp/tmp.nic8QjNjPx
+++ wc -l
++ more_lines=-2
++ '[' -2 -gt 0 ']'
++ rm /tmp/tmp.nic8QjNjPx
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/commit-log.txt
++ true
++ local jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira
++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/key ']'
++ '[' -e interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira ']'
++ mkdir interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=gdb
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 gdb e20298da05f212c04022c4f1a9991e09e2199c9a true
++++ local component=gdb
++++ local sha1=e20298da05f212c04022c4f1a9991e09e2199c9a
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ match=(--match "gdb*")
++++ git -C gdb describe --match 'gdb*' e20298da05f212c04022c4f1a9991e09e2199c9a
+++ describe=gdb-14-branchpoint-695-ge20298da05f
++++ echo gdb-14-branchpoint-695-ge20298da05f
++++ sed 's,^basepoints/,,'
+++ describe=gdb-14-branchpoint-695-ge20298da05f
+++ '[' --oneline = --oneline ']'
+++ echo gdb-14-branchpoint-695-ge20298da05f
+++ return 0
+++ cat interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/status-summary.txt
++ echo gdb-14-branchpoint-695-ge20298da05f: PASS
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/summary
++ cat
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=gdb
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git gdb_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No gdb_url in baseline git' '[' -f base-artifacts/git/gdb_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/gdb_url
+++ url=git://sourceware.org/git/binutils-gdb.git
+++ [[ git://sourceware.org/git/binutils-gdb.git =~ git://sourceware.org/git/ ]]
+++ url=binutils-gdb.git
+++ url='https://sourceware.org/git/?p=binutils-gdb.git'
+++ echo 'https://sourceware.org/git/?p=binutils-gdb.git;a=commitdiff;h=e20298da05f212c04022c4f1a9991e09e2199c9a'
+++ return 0
+++ cat interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/commit-log.txt
+++ cat interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/status.txt
+++ print_icommits_link gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/yaml
+++ set -euf -o pipefail
+++ local path=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/yaml
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
+++ local dir=gdb/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(GDB)
++ IFS=,
++ echo GDB
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/components
++ local commit_date
+++ git -C gdb log -n1 --pretty=%cd --date=iso e20298da05f212c04022c4f1a9991e09e2199c9a
++ commit_date='2023-12-14 01:56:00 +0000'
++ date -d '2023-12-14 01:56:00 +0000' +%Y-%m-%d
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
++++ local dir=gdb/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira
+++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/key'
+WARNING: no existing jira card interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/key
++ return 0
++ local describe
+++ describe_sha1 gdb e20298da05f212c04022c4f1a9991e09e2199c9a false
+++ local component=gdb
+++ local sha1=e20298da05f212c04022c4f1a9991e09e2199c9a
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ match=(--match "gdb*")
+++ git -C gdb describe --match 'gdb*' e20298da05f212c04022c4f1a9991e09e2199c9a
++ describe=gdb-14-branchpoint-695-ge20298da05f
++ '[' gdb-14-branchpoint-695-ge20298da05f '!=' '' ']'
++ local d
+++ dirname gdb-14-branchpoint-695-ge20298da05f
++ d=.
++ mkdir -p interesting-commits/gdb/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ rm -f interesting-commits/gdb/gdb-14-branchpoint-695-ge20298da05f
++ ln -s sha1/e20298da05f212c04022c4f1a9991e09e2199c9a interesting-commits/gdb/gdb-14-branchpoint-695-ge20298da05f
++ git -C interesting-commits add gdb/gdb-14-branchpoint-695-ge20298da05f
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry e20298da05f212c04022c4f1a9991e09e2199c9a from https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/'
+[detached HEAD 06f61bf88] Add entry e20298da05f212c04022c4f1a9991e09e2199c9a from https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/
+ 17 files changed, 72 insertions(+)
+ create mode 120000 gdb/gdb-14-branchpoint-695-ge20298da05f
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/commit-log.txt
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/first_url
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/components
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/description
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/startdate
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/summary
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/status-summary.txt
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/status.txt
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/build_url
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/details.txt
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/last_good
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/reproduction_instructions.txt
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/status-summary.txt
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/status.txt
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status-summary.txt
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/status.txt
++ wait 1824899
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -206,11 +1105,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
++++ local dir=gdb/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ isubdir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ case "$print_arg" in
+++ echo interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ icommit_entry=interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ '[' interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a '!=' '' ']'
++ '[' -d interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira ']'
++ rsync -a interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -224,10 +1135,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 909862
+++ wait 1824910
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231214 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 909863
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231214 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1824911
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -250,9 +1161,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -277,19 +1188,15 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
++ base_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
-+ read -r email
-++ git -C gdb log --pretty=%ae 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d
-+ emails["$email"]=no
-+ read -r email
-+ emails["$email"]=no
++ cur_rev=e20298da05f212c04022c4f1a9991e09e2199c9a
+ read -r email
+++ git -C gdb log --pretty=%ae 0040ddf4e11074c2feffbf46ccac6afc3d66426d..e20298da05f212c04022c4f1a9991e09e2199c9a
+ emails["$email"]=no
+ read -r email
+ local precommit_postcommit=postcommit
@@ -300,19 +1207,15 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
++ base_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
-+ read -r email
-++ git -C gdb log --pretty=%ce 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d
-+ emails["$email"]=no
-+ read -r email
-+ emails["$email"]=no
++ cur_rev=e20298da05f212c04022c4f1a9991e09e2199c9a
+ read -r email
+++ git -C gdb log --pretty=%ce 0040ddf4e11074c2feffbf46ccac6afc3d66426d..e20298da05f212c04022c4f1a9991e09e2199c9a
+ emails["$email"]=no
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -320,14 +1223,6 @@
+ recipients=()
+ local -a recipients
+ for email in "${!emails[@]}"
-+ type=no
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ for email in "${!emails[@]}"
-+ type=no
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ for email in "${!emails[@]}"
+ type=bcc
+ case "$precommit_postcommit:$type" in
+ case "$type" in
@@ -347,37 +1242,28 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git gdb_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/gdb_rev
-++ base_rev=63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
-+++ get_current_git gdb_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/gdb_rev
-++ cur_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
-+++ git -C gdb rev-list --count 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d
-++ c_commits=3
-++ new_commits=3
-+++ echo gdb
-+++ tr ' ' ,
-++ components=gdb
-++ echo '3 commits in gdb'
+++ '[' single_commit = single_commit ']'
+++ local c=gdb
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 gdb e20298da05f212c04022c4f1a9991e09e2199c9a true
++++ local component=gdb
++++ local sha1=e20298da05f212c04022c4f1a9991e09e2199c9a
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ match=(--match "gdb*")
++++ git -C gdb describe --match 'gdb*' e20298da05f212c04022c4f1a9991e09e2199c9a
+++ describe=gdb-14-branchpoint-695-ge20298da05f
++++ echo gdb-14-branchpoint-695-ge20298da05f
++++ sed 's,^basepoints/,,'
+++ describe=gdb-14-branchpoint-695-ge20298da05f
++ '[' --oneline = --oneline ']'
+++ echo gdb-14-branchpoint-695-ge20298da05f
++ return 0
++ gnu_print_result --oneline
++ false
@@ -386,10 +1272,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 909919
+++ wait 1824959
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231214 --build_dir=artifacts/sumfiles --verbosity=1
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231214 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 909920
+++ wait 1824960
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -408,7 +1294,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gdb_check master-arm
++ local project=tcwg_gdb_check
@@ -431,25 +1317,48 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' '3 commits in gdb: PASS on arm'
++ echo '[Linaro-TCWG-CI]' 'gdb-14-branchpoint-695-ge20298da05f: PASS on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/569/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/artifact/artifacts
+ local key=
-+ '[' single_component = single_commit ']'
++ '[' single_commit = single_commit ']'
++ '[' '' = '' ']'
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
++++ local dir=gdb/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira
+++ '[' -f interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
++ '[' GNU-692 '!=' '' ']'
+ cat
-+ '[' '' '!=' '' ']'
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gdb_check master-arm
++ local project=tcwg_gdb_check
@@ -472,56 +1381,40 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git gdb_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/gdb_rev
-++ base_rev=63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
-+++ get_current_git gdb_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/gdb_rev
-++ cur_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
-+++ git -C gdb rev-list --count 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d
-++ c_commits=3
-++ new_commits=3
-+++ echo gdb
-+++ tr ' ' ,
-++ components=gdb
-++ echo '3 commits in gdb'
+++ '[' single_commit = single_commit ']'
+++ local c=gdb
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 gdb e20298da05f212c04022c4f1a9991e09e2199c9a true
++++ local component=gdb
++++ local sha1=e20298da05f212c04022c4f1a9991e09e2199c9a
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ match=(--match "gdb*")
++++ git -C gdb describe --match 'gdb*' e20298da05f212c04022c4f1a9991e09e2199c9a
+++ describe=gdb-14-branchpoint-695-ge20298da05f
++++ echo gdb-14-branchpoint-695-ge20298da05f
++++ sed 's,^basepoints/,,'
+++ describe=gdb-14-branchpoint-695-ge20298da05f
++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git gdb_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/gdb_rev
-++ base_rev=63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
-+++ get_current_git gdb_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/gdb_rev
-++ cur_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
-+++ git -C gdb rev-list --count 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d
-++ c_commits=3
-++ '[' '' '!=' '' ']'
-++ git -C gdb log -n 5 --oneline 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d
-++ '[' 3 -gt 5 ']'
+++ '[' '' = '' ']'
+++ echo 'commit gdb-14-branchpoint-695-ge20298da05f'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.HQt3xMIOGv
+++ git -C gdb log -n1 e20298da05f212c04022c4f1a9991e09e2199c9a
+++ tail -n +2
+++ head -n 10 /tmp/tmp.HQt3xMIOGv
++++ cat /tmp/tmp.HQt3xMIOGv
++++ wc -l
+++ more_lines=-2
+++ '[' -2 -gt 0 ']'
+++ rm /tmp/tmp.HQt3xMIOGv
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -531,10 +1424,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 909984
+++ wait 1825018
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231214 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 909985
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231214 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1825019
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -565,30 +1458,30 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gdb_check master-arm
++ local project=tcwg_gdb_check
@@ -606,15 +1499,78 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_gdb_check master-arm'
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_gdb_check master-arm
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a tcwg_gdb_check master-arm
++++ local dir=gdb/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++++ '[' 4 -ge 3 ']'
++++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
++++ '[' 4 -ge 4 ']'
++++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
++++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
+++ isubdir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
+++ case "$print_arg" in
+++ print_icommits_link gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=gdb
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git gdb_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No gdb_url in baseline git' '[' -f base-artifacts/git/gdb_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/gdb_url
+++ url=git://sourceware.org/git/binutils-gdb.git
+++ [[ git://sourceware.org/git/binutils-gdb.git =~ git://sourceware.org/git/ ]]
+++ url=binutils-gdb.git
+++ url='https://sourceware.org/git/?p=binutils-gdb.git'
+++ echo 'https://sourceware.org/git/?p=binutils-gdb.git;a=commitdiff;h=e20298da05f212c04022c4f1a9991e09e2199c9a'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
++++ local dir=gdb/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ isubdir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ case "$print_arg" in
+++ cat interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/status.txt
+ true
+ generate_jenkins_html_files
-+ wait 910028
++ wait 1825077
+ set -euf -o pipefail
-+ echo '# generate_jenkins_html_files'
# generate_jenkins_html_files
... Skipping
++ echo '# generate_jenkins_html_files'
+ true
+ case "$ci_project" in
+ echo '... Skipping'
@@ -786,31 +1742,31 @@
+ set -euf -o pipefail
+ local text_type=txt
+ case $text_type in
-+ echo '# generate dashboard'
# generate dashboard
++ echo '# generate dashboard'
+# generate_dashboard_squad
+... Skipping
+ generate_dashboard_squad
+ local results_date
+ echo '# generate_dashboard_squad'
-# generate_dashboard_squad
+ false
-... Skipping
+ echo '... Skipping'
+ return
-+ post_dashboard_squad
# post_dashboard_squad
-+ echo '# post_dashboard_squad'
... Skipping
++ post_dashboard_squad
++ echo '# post_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 910082
++ wait 1825131
+ set -euf -o pipefail
+ local results_date
-# generate_lnt_report
+ echo '# generate_lnt_report'
+# generate_lnt_report
+ true
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/lnt-utils.sh
+ calculate_results_date
+ set -euf -o pipefail
+ '[' -z ']'
@@ -825,51 +1781,51 @@
++ assert_with_msg 'ERROR: No gdb in current git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ git -C gdb show --no-patch --pretty=%ct 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
-+ base_d=1702487987
+++ git -C gdb show --no-patch --pretty=%ct 0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ base_d=1702512023
++ get_current_component_date gdb
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ git -C gdb show --no-patch --pretty=%ct 0040ddf4e11074c2feffbf46ccac6afc3d66426d
-+ cur_d=1702512023
-+ '[' x1702487987 '!=' x ']'
-+ '[' x1702512023 = x ']'
-+ '[' 1702512023 -lt 1702487987 ']'
-+ '[' x1702512023 = x ']'
-+ '[' 1702512023 -gt 0 ']'
-+ results_date=1702512023
-+ assert_with_msg 'Failed to produce results_date' '[' 1702512023 -gt 0 ']'
+++ git -C gdb show --no-patch --pretty=%ct e20298da05f212c04022c4f1a9991e09e2199c9a
++ cur_d=1702518960
++ '[' x1702512023 '!=' x ']'
++ '[' x1702518960 = x ']'
++ '[' 1702518960 -lt 1702512023 ']'
++ '[' x1702518960 = x ']'
++ '[' 1702518960 -gt 0 ']'
++ results_date=1702518960
++ assert_with_msg 'Failed to produce results_date' '[' 1702518960 -gt 0 ']'
+ set -euf -o pipefail +x
++ get_baseline_manifest '{rr[results_date]}'
++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
++ set +x
-+ base_d=1702466017
-+ '[' 1702466017 '!=' '' ']'
-+ assert '[' 1702512023 -ge 1702466017 ']'
++ base_d=1702489020
++ '[' 1702489020 '!=' '' ']'
++ assert '[' 1702518960 -ge 1702489020 ']'
+ set -euf -o pipefail +x
-+ '[' 1702512023 -gt 1702466017 ']'
-+ results_date=1702489020
-+ rr[results_date]=1702489020
++ '[' 1702518960 -gt 1702489020 ']'
++ results_date=1702503990
++ rr[results_date]=1702503990
+ cat
+ manifest_out
+ cat
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1702489020
-++ date '+%Y-%m-%d %H:%M:%S' --date @1702489020
-+ results_date='2023-12-13 17:37:00'
++ results_date=1702503990
+++ date '+%Y-%m-%d %H:%M:%S' --date @1702503990
++ results_date='2023-12-13 21:46:30'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/ tcwg_gdb_check master-arm '2023-12-13 17:37:00' artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/ tcwg_gdb_check master-arm '2023-12-13 21:46:30' artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/
+ local ci_project=tcwg_gdb_check
+ local ci_config=master-arm
-+ local 'results_date=2023-12-13 17:37:00'
++ local 'results_date=2023-12-13 21:46:30'
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
+ local -a sumfiles
@@ -879,8 +1835,8 @@
+ local lnt_testsuite=tcwg_gdb_check
+ local machine_name=master-arm
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/
-+ build_number=570
+++ basename https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/
++ build_number=571
+ set +x
# release_testresults_files
... Done
@@ -892,9 +1848,9 @@
+ '[' -f artifacts/testresults/testresults-mail-recipients.txt ']'
+ echo '... Done'
+ post_to_jira
-# post_to_jira
+ set -euf -o pipefail
+ echo '# post_to_jira'
+# post_to_jira
+ local post_card_comment=false
+ local post_template_comment=false
+ false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 47faf46..dee2d2d 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -26,18 +26,18 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/569/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/569/'
-# Using dir : base-artifacts
+# Baseline : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/'
+ echo '# Using dir : base-artifacts'
+# Using dir : base-artifacts
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/570/'
-+ echo '# Using dir : artifacts'
+# Artifacts : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/'
# Using dir : artifacts
++ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
@@ -45,8 +45,8 @@
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
-# check_source_changes
+ check_source_changes
+# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -77,7 +77,7 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' x0040ddf4e11074c2feffbf46ccac6afc3d66426d '!=' x63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4 ']'
+++ '[' xe20298da05f212c04022c4f1a9991e09e2199c9a '!=' x0040ddf4e11074c2feffbf46ccac6afc3d66426d ']'
++ echo -ne gdb
++ delim=' '
++ echo
@@ -90,17 +90,17 @@
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ first_bad=0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ first_bad=e20298da05f212c04022c4f1a9991e09e2199c9a
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ last_good=63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
++ last_good=0040ddf4e11074c2feffbf46ccac6afc3d66426d
+ local res
+ res=0
-+ wait 909680
++ wait 1782370
+ git -C gdb rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo gdb' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +114,22 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
++ base_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
-++ git -C gdb rev-parse '0040ddf4e11074c2feffbf46ccac6afc3d66426d^@'
++ cur_rev=e20298da05f212c04022c4f1a9991e09e2199c9a
+++ git -C gdb rev-parse 'e20298da05f212c04022c4f1a9991e09e2199c9a^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' fde841947e445a98f22a04465daa75a9fb6af051 = 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4 ']'
-+ return 1
-+ change_kind=single_component
-+ echo '# Debug traces :'
++ '[' 0040ddf4e11074c2feffbf46ccac6afc3d66426d = 0040ddf4e11074c2feffbf46ccac6afc3d66426d ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
-# change_kind=single_component : gdb
-+ echo '# change_kind=single_component : gdb'
++ echo '# Debug traces :'
+# change_kind=single_commit : gdb
++ echo '# change_kind=single_commit : gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -137,18 +137,18 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4
++ base_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=0040ddf4e11074c2feffbf46ccac6afc3d66426d
-++ git -C gdb rev-list --count 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d
-+ c_commits=3
-# rev for gdb : 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d (3 commits)
++ cur_rev=e20298da05f212c04022c4f1a9991e09e2199c9a
+++ git -C gdb rev-list --count 0040ddf4e11074c2feffbf46ccac6afc3d66426d..e20298da05f212c04022c4f1a9991e09e2199c9a
++ c_commits=1
+# rev for gdb : 0040ddf4e11074c2feffbf46ccac6afc3d66426d..e20298da05f212c04022c4f1a9991e09e2199c9a (1 commits)
-+ echo '# rev for gdb : 63fc64a8d0ea8cb0bce0137db68503a75a6ecfe4..0040ddf4e11074c2feffbf46ccac6afc3d66426d (3 commits)'
++ echo '# rev for gdb : 0040ddf4e11074c2feffbf46ccac6afc3d66426d..e20298da05f212c04022c4f1a9991e09e2199c9a (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -176,9 +176,267 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 1782450
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=397fadfb8
+++ '[' 0 -ne 0 ']'
+++ echo 397fadfb8
++ sha1=397fadfb8
++ git -C interesting-commits checkout --detach 397fadfb8
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ e06168e78 Add entry fa659800b009df1f0bdb0c5d24eec047fb9c3fa0 from https://ci.linaro.org/job/tcwg_gdb_check--master-aarch64-build/578/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> e06168e78
+
+HEAD is now at 397fadfb8 Add entry 08b7462d3ad8e5acd941b7c777c5b26b4064d686 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-arm_v7a_softfp_eabi-build/338/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
+++ local dir=gdb/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ jira_dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+From ssh://review.linaro.org:29418/toolchain/ci/interesting-commits
+ bdf75de87..397fadfb8 master -> baseline/master
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a
+++ local dir=gdb/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ subdir3=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a tcwg_gdb_check
+++ local dir=gdb/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 3 -ge 3 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
+++ '[' 3 -ge 4 ']'
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
++ subdir4=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
+++ interesting_subdir gdb e20298da05f212c04022c4f1a9991e09e2199c9a tcwg_gdb_check master-arm
+++ local dir=gdb/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
+++ '[' 4 -ge 3 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check
+++ '[' 4 -ge 4 ']'
+++ dir=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
+++ echo gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
++ subdir5=gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
++ local url=
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ url=https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
++ '[' -d interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a ']'
++ mkdir -p interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a
++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/first_url
++ mkdir -p interesting-commits/gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm
++ echo https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/artifact/artifacts
++ echo 0040ddf4e11074c2feffbf46ccac6afc3d66426d
++ git -C interesting-commits add gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/build_url gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry e20298da05f212c04022c4f1a9991e09e2199c9a from https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/'
+[detached HEAD f2e8b80a6] Add entry e20298da05f212c04022c4f1a9991e09e2199c9a from https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/571/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/first_url
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/build_url
+ create mode 100644 gdb/sha1/e20298da05f212c04022c4f1a9991e09e2199c9a/tcwg_gdb_check/master-arm/last_good
++ wait 1796377
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' init '!=' full ']'
-+ echo 'Init stage ran successfully.'
Init stage ran successfully.
++ echo 'Init stage ran successfully.'
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 0eed598..4616e29 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,4 +1,4 @@
-build_name="#570"
+build_name="#571"
docker_opts=(--distro
default
--arch
@@ -7,7 +7,7 @@ armhf
tcwg-snow-02 )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#570-gdb"
+build_name="#571-gdb"
branch_opt=(==rr\[gdb_git\]
git://sourceware.org/git/binutils-gdb.git#master )
-build_name="#570-gdb-R0"
+build_name="#571-gdb-R0"